2015-01-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (pretty10exp): extended 'sub10' possibilities

2014-07-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-27, released to CRAN on 2015   <<<<<<<
	* R/KS-confint.R (ecdf.ksCI): '...' now also passed to first of
	three plot() calls to plot.stepfun().

2014-07-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (eaxis): sub10 (=FALSE) can be set for pretty10exp()

2014-06-15  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (toLatex.numeric): times="\\cdot" .. from Alain

	* R/misc-goodies.R (is.whole): new from Alain (May 12).

2014-06-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.res.2x.WSt.R (p.res.2x.formula): new, method for p.res.2x()
	which is now generic
	* man/p.res.2fact.Rd: p.res.2x(~., <lm>) now can work

2014-05-02  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (pretty10exp): new 'lab.type' (and 'lab.sep')
	from Ben Bolker

2014-04-24  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (bi2int): new utility, called in as.intBase()
	* man/digitsBase.Rd: add the IP "n <-> a" example w/ base=256

2014-04-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-26, released to CRAN on 2014-06-16
	* R/prettylab.R (pretty10exp): new 'sub10' option
	* R/prettylab.R (toLatex.numeric): new, original from Alain

2013-10-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-25, released to CRAN on 2014-01-24.
	* R/unix/Sys.ps.R (Sys.memGB): new utility
	* man/unix/Sys.cpuinfo.Rd: incl example

2013-01-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (pdf.do): set paper to "special" when user
	specifies 'width' and 'height'.

2013-01-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-24, released to CRAN on 2013-08-03.

	* R/prettylab.R (eaxis): for 'log': new 'between.max = 4';
	set 'at.small <- FALSE' in such cases, when small ticks are not
	sensible.


2012-11-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-23, released to CRAN on 2012-11-01

	* R/misc-goodies.R (digitsBase): ndigits default argument needs
	fuzz (1e-9), e.g., for base 3.

2012-10-20  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-22, released to CRAN on 2012-10-20

	* R/ps.goodies.R (dev.latex): oops: finally found and fixed bug
	where the missing(.) checks where never true, as dev.latex() is
	always called from above with explicit argument passing.

	* man/histBxp.Rd: renamed hist.bxp() to histBxp() .. on CRAN's
	urging.

2012-09-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-21, released to CRAN today
	* R/prettylab.R (eaxis): new 'small.args' for Marius

2012-04-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/unix/Sys.cpuinfo.Rd: fix example

2012-03-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-20, released to CRAN on 2012-03-18

	* man/capture-n-write.Rd: new capture.and.write() function

2011-11-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (seqXtend): change to enable "interpolate" with
	'Date' objects.

2011-10-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-19, released to CRAN on 2011-11-21

	* man/str_data.Rd: + examples for 'filterFUN'

2011-10-08  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/str_data.R (str_data): new arg 'filterFUN'

2011-10-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-18, released to CRAN.
	* R/prettylab.R (eaxis): fix Rversion check.

2011-10-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (pretty10exp): digits.fuzz = 7:
	add fuzz before rounding, twice.
	(eaxis): new arg  draw.between.ticks = TRUE.

2011-07-29  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-17, released to CRAN on 2011-10-01.

	* R/sourceAttach.R (sourceAttach): new utility function

2011-07-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-16, released to CRAN.

	* R/pd-matrix.R (posdefify): symmetric = TRUE is now default, as
	that's needed for asymmetric input.

	* R/misc-goodies.R: get completely rid of boxplot.matrix: that's
	been in R, since 2.9.0 now.

2011-05-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-15, released to CRAN.

	* R/misc-goodies.R (errbar): 'ylim' now is argument (with same default).

2011-05-04  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prime-numbers-fn.R: finally prime number and factorization
	"utility" code (partly ~ 13 years old!) to a place where it's
	easily found.

2011-04-28  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (eaxis): new argument 'max.at'

	* man/eaxis.Rd: fix docu for at.small & small.mult.

2011-04-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/diagDA.R (predict.dDA): check for var()==0 als for pool=FALSE.

2010-12-06  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-14

	* R/pd-matrix.R (posdefify): new argument 'eigen.m'; for efficiency
	to pass to eigen() in case it's already available.

2010-11-04  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (inv.seq): workaround mapply() infelicity

2010-10-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (repChar): new utility {generalization of bl.string()}

	* R/printTable.R (margin2table): return *named* dimnames, if
	original has them.
	(print.margin2table): use 'right = TRUE' by default

2010-10-20  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-13;  "Enhances:" for everything in our examples

	* inst/NEWS: partial update

2010-09-28  Martin Maechler  <maechler@stat.math.ethz.ch>

	* demo/hatmat-ex.R: add demo for hatMat(), notably how it works for
	loess(); rather than extending the examples in
	* man/hatMat.Rd

2010-09-04  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (ps.end): call .set.eps_view() only when needed.

	* R/zzz.R (.set.eps_view): utility function instead of using
	.onLoad() for setting options("eps_view").


2010-08-28  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-12

	* R/misc-goodies.R (plotDS): fix bug for unsorted x and "moreSmooth"

2010-02-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/nearcor.Rd: cor() no longer works for factors;
	--> adapt the old example (from Jens or other users).

2009-12-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/mat2tex.Rd: need quadruple escapes ( \\\\pi )

2009-12-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-10

	* R/ps.goodies.R (pdf.do): paper="default", width=-1, height=-1
	such as to produce the same default as ps.do().

	* man/ps.latex.Rd: update accordingly

2009-11-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-9, CRAN-released: today

	* man/polyn.eval.Rd, man/p.ts.R, man/eaxis.Rd: fix \link{}s

2009-10-07  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (lseq): check that 'from > 0'

2009-08-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-8

	* R/unix/Sys.ps.R (Sys.procinfo): produce unique names;
	important for multi-core/processor CPUs.

	* man/unix/Sys.cpuinfo.Rd: ditto

2009-07-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/uniqueL.Rd: link to Duplicated

2009-04-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/Duplicated.Rd: clarification

2009-01-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-7 ready to release

2009-01-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/n.code.Rd: Rd_parse fixes
	* ...., man/u.log.Rd: ditto

2008-12-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (digitsBase): allow integer-valued non-integers

2008-12-08  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R: get rid of more `x' like backquotes.

2008-11-25  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-6 ready to release

	* R/prettylab.R (eaxis): change default to las = 1, "2" was a thinko!

2008-11-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.goodies.R (p.profileTraces): default 'subtitle' now includes formula

2008-11-08  Martin Maechler  <maechler@stat.math.ethz.ch>

	* NAMESPACE: export Sys.meminfo()

2008-10-31  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-5 released to CRAN

	* R/Duplicated.R (Duplicated): new by Christoph Buser and MM
	* NAMESPACE, man/Duplicated.Rd

	* R/ellipse.R (ellipsePoints): add 'keep.ab.order' argument
	* man/ellipsePoints.Rd: allowing differ (a,b) from (b,a);
	thanks to a suggestion from Duncan Elkins

2008-10-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (eaxis): add 'las = 2' (new default!) and "..."

2008-10-22  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (boxplot.matrix): "moved" to R 2.9.0

2008-09-15  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (uniqueL): make 'need.sort' an optional argument
	which allows for slight speedup
	* man/uniqueL.Rd: ditto

	* R/integratexy.R: no longer use backquote ( ` ) in error messages.

2008-08-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/str_data.R (str_data): fix bug {if there are no "(..)" in the
	items, they were all dropped accidentally}.

2008-07-31  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-4 released to CRAN

	* R/zzz.R (.onLoad): set options(eps_view) only if unset

2008-06-28  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (chars8bit,strcodes): do not use '0' anymore,
	since \000 = nul is no longer allowed in R strings.

	* tests/misc.R: new file, testing the above.

2008-06-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-3, released to CRAN.
	* R/ps.goodies.R (pdf.do): default for 'paper' is now missing;
	which is much better than "default".
	* man/ps.latex.Rd: add useful example for that.

2008-05-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-2; add 'Encoding: latin1'

2008-02-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/unix/Sys.ps.R (Sys.procinfo): define, calling stop(".. not yet..."),
		for non-Linux unix-alikes
	* man/unix/Sys.cpuinfo.Rd: ditto

2008-01-30  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 1.0-1

	* NAMESPACE: export Sys.cpuinfo() and Sys.MIPS() only on Linux

2008-01-29  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (inv.seq): use "non-integer integers" so result
	has no "L" appended

	* man/inv.seq.Rd: all.equal(), not identical anymore

2008-01-11  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (eaxis): no wrong warning when labels are expression

2007-12-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (inv.seq): slight improvement, using mapply(.)
	instead of apply(.); notably now returning 'language' instead of
	'expression'; the nice improvement (parse |-> call(.)) is by Tony Plate

2007-12-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version, Depends): 1.0-0 now depending on R >= 2.5.0

2007-11-29  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (roundfixS): new utility used to
	implement new  method = "interpolate"  in seqXtend().

	* man/plotDS.Rd: rename pl.ds() to plotDS()

2007-11-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (seqXtend): new function, e.g., for
	  constructing extended x ranges for pl.ds()

	* R/misc-goodies.R: allow an extend 'ys' argument to pl.ds()
	  with smooth values on a finer grid.

2007-11-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.96-01; (License): standardized

	* R/prettylab.R (eaxis): 10^par(.) , not exp()

	* inst/NEWS: renamed from earlier inst/doc/CHANGES.txt and linked
	to toplevel;
	* inst/ChangeLog: moved from ./ChangeLog and sym.linked back to toplevel.

	* man/eaxis.Rd: add example with "traditional" labels

	* man/potatoes.Rd: add content to \description{.} to make 'R CMD
	check' happy

2007-10-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/prettylab.R (eaxis): new function for nice (log) axis
	labeling. (pretty10exp): drop.1: -10^k instead of -1*10^k

2007-09-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-13 tested with R-alpha; for release

	* man/ps.latex.Rd: document change of pdf.do (on July 13).

2007-09-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.ts.R (p.ts): is.unsorted(date.x, na.rm=TRUE)

2007-07-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (pdf.do): Bug fix: cannot use 'width= -1, height= -1'
	as for ps.do() !

2007-08-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/nearcor.R (nearcor): new function from Jens Oehlschlaegel.

2007-07-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (ps.do, pdf.do): do *not* use ps.options(), since
	you cannot pass all postscript() / pdf() options.

2007-06-30  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-12 (released)
	* R/ps.goodies.R (pdf.end): fix

2007-06-29  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-11

	* R/unix/Sys.ps.R (Sys.meminfo): added via new Sys.procInfo()

	* R/zzz.R (options("eps_view")): add 'evince'

2007-06-25  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Suggests): add 'tcltk' {needed for tkdensity()}

2007-05-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* NAMESPACE: Sys.cpuinfo etc: only  if(... == "unix")

2007-05-22  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/wrapFormula.Rd: new function wrapFormula() mainly for gam() etc.

2007-04-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* NAMESPACE: now explicitly export (instead of pattern), keeping
		predict and print S3 methods hidden.

	* R/ps.goodies.R (pdf.do, pdf.end, pdf.latex): analogues to
	ps.do() etc.
	(dev.latex): instead of ps.latex();
	(pdf.latex, ps.latex): now wrappers to dev.latex

2007-04-20  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/hatMat.Rd (Examples): add sm.regression();  fix '\'

2007-04-19  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/hatMat.R (hatMat): add test for sensible 'trace';
	give a warning for unsorted 'x', since that can too quickly give
	wrong answers (not for the default smoothing spline though).

2007-04-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/digitsBase.Rd: double the \\ so it appears correctly in
	help() and example()

2007-03-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/str_data.R (str_data): use indent.str for multi-data datasets;
	add note about Gabor's wishlist.

2007-03-15  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-9 released

	* R/tkdensity.R (tkdensity): fix to allow *several* 'kernels' to
	be specified.
	(tkdensity): temporarily reset par()s such as par("ask")
		and only reset when quitting tk widget.

	* man/tkdensity.Rd: complete unfinished 'nor1mix' example

2007-01-24  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/str_data.R: new function; very useful to get overview
	* man/str_data.Rd: over packages' datasets.

	* R/Deprecated.R: HuberM() and plotCI() are now *Defunct*, i.e.,
		no longer visible but in file Old_Defunct/ex-Deprecated.R

2007-01-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-8 to be released

	* R/ps.goodies.R (ps.end): make sure 'call.gv = FALSE' works

2007-01-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.goodies.R: using rep.int() instead of rep() in a few places.
	* R/misc-goodies.R: ditto

2006-10-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/posdefify.Rd: note about litterature

2006-10-19  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-7 to be released

	* R/rnls.R (rnls): becomes defunct -- leave stub in
	* R/Deprecated.R:
	* man/rnls.Rd.R: removed, too

	* R/unix/Sys.ps.R (Sys.PID): removed: has been deprecated for long.
	* man/unix/Sys.ps.Rd: ditto

	* R/zzz.R (.onLoad): replace \s by \\s


2006-09-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/Deprecated.R: remove nna(), digits.v(), digits(),
	tapply.num(), subtit(),
	p.triangle(), p.panelL() and p.panelS() ---
	These have been deprecated since Jan. 2004 (!)
	* man/Deprecated.Rd: ditto

2006-09-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/unix/Sys.ps.R (Sys.MIPS): if(.Linux-only.)
	* man/unix/Sys.cpuinfo.Rd: ditto ==> should "work" on MacOS X

2006-08-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/mult.fig.R (mult.fig): no longer globally assign 'old.par'.
	This has been deprecated since 2004-08-12, rel. 0.9-5.

2006-08-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/rrange.R (rrange): no need for old workaround

2006-06-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/zzz.R (.onLoad): for "unix": more cautious when 'gv' is not there.

2006-06-22  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version, Date): 0.95-5

2006-05-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/TA.plot.R (TA.plot): slightly better warning in mk.main();
		slightly improved defaults {line colors}

2006-04-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/zzz.R (.onLoad): smarter 'gv' command
	* R/ps.goodies.R (ps.end): use Sys.ps.cmd() -> work on non-antique
	Linuxen !
	* R/unix/Sys.ps.R (Sys.ps.cmd): newer Linux has 'ps w' too!

2006-02-22  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-4

	* man/Deprecated.Rd: huberM() now in package "robustbase"
	* R/Deprecated.R:    is deprecated here.
	* R/huber.R:

	* man/tkdensity.Rd: if(dev.interactive()) { ... } now suddenly
		needed for CRAN

2006-01-24  Martin Maechler  <maechler@stat.math.ethz.ch>


	* DESCRIPTION (Version, Date): 0.95-3

	* R/prettylab.R (pretty10exp, axTexpr): new functions

2005-11-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (digitsBase): return S3 class "basedInt"
	* R/misc-goodies.R (as.intBase): new; inverse of digitsBase()

	* R/Deprecated.R (digits): point to digitsBase() {not "baseDigits"}!

2005-11-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-2 --- RELEASED to CRAN

	* R/rnls.R (rnls): incorporate changes by Andreas Ruckstuhl
	(fitted.rnls): new basic methods for S3 class "rnls"

2005-10-16  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Date): update

	* R/p.goodies.R (p.arrows): use atan2() instead of 2-arg. atan()

2005-07-11  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/p.profileTraces.Rd: 'x' must be 'profile' not 'nls' result

2005-07-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/glob2rx.R (glob2rx): copied glob2rx() to "R-devel"
	  ==> should be part of R-2.2.x

2005-05-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/diagDA.Rd: fixed typo: s/i.e./e.g./

2005-05-12  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Depends): R (>= 2.0.0) is needed for datasets

	* R/glob2rx.R (glob2rx): add 'trim.*' arguments, with defaults to
	be exactly back compatible.

2005-05-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Depends): also on 'methods' and 'utils'

	* R/tkdensity.R (tkdensity): careful to get stats::density.default
	  for R versions >= 2.2.0;  new argument 'kernels'

2005-05-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (ps.end): use 'ps wx' (no "-")

2005-04-25  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-2

	* INDEX: updated

	* man/p.hboxp.Rd: also change default to 'medcol= 2'

2005-04-25  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-1	 --> CRAN

	* man/*.Rd: added \encoding{latin1} to quite a few

	* man/AsciiToInt.Rd: example with Umlaut fails to parse(!)
	in utf-8 locale -> \dontrun{} it.

	* R/misc-goodies.R (hist.bxp): new default 'medcol = 2':
	   "medcol = 0" is not sensible for '0 = "transparent"'.

	* R/mat2tex.R (mat2tex): new arg.s 'nam.center', 'col.center'

2005-04-19  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/hatMat.Rd: slight improvement in example

2005-02-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.95-0

	* NAMESPACE: added a namespace (finally).

2005-02-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (lseq): new function

2005-01-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/rnls.R (rnls): new function (from A.Ruckstuhl, Ch.Sangiorgio)
		still quite a few FIXMEs

2004-12-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-8	--> CRAN

	* R/pd-matrix.R (posdefify): fix bug in non-default method
	"allEVadd"!

	* tests/posdef.R: new file: test the bug I just fixed (and more).


2004-12-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/diagDA.R (predict.dDA) (diagDA): fix NA prediction

	* tests/dDA.R: add check for NA prediction

	* R/misc-goodies.R (QUnif): typo fixed (checkUsagePackage() !)

	* R/integratexy.R (integrate.xy): dito

	* R/TA.plot.R (TA.plot): add `type=' in call to residuals;
		consequently now also works for some  lme() results.

2004-11-05
2004-11-04  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-7

	* INDEX: updated (and saved to ./INDEX-manual)

	* R/plot.ts.R (plot.ts): remove! (was for R < 1.2.0 !)
	* R/lag.plot.R (lag.plot): dito
	* R/misc-goodies.R: remove "stepun" package in comments;
		drop more old comments

	* man/*.Rd: in many man pages, remove \link[<..>]s to old package names.
	* R/D1D2.R: remove "stepfun" package links
	* R/KS-confint.R:

2004-09-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-6

	* tests/p.R: new test file {for the fixed bug}

	* R/p.ts.R: oops; need length-2 start(), end() !
		    (fix bug introduced for 0.9-5)

	* man/p.ts.Rd: add SMI

2004-08-12  Martin Maechler  <maechler@stat.math.ethz.ch>


	* DESCRIPTION (Date): release 0.9-5 to CRAN

	* R/mult.fig.R (mult.fig): no mentioning of global 'old.par'
		which is now deprecated!

	* man/mult.fig.Rd: make sure we work with the return value in the
		example.

	* man/D2ss.Rd: extraneous "}" in example - left off last 3/4

	* man/cum.Vert.funkt.Rd: fix Rd "extraneous" text

2004-08-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (sHalton): add 'leap = 1' argument.

2004-08-02  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/compresid2way.Rd: add the 'warpbreaks' example which clearly
	   exhibits the following (bug and) fix:

	* R/twoway-r-plot.R (compresid2way): fix the level labeling
	   in 'if(label)' where "A" and "B" where switched, thanks to
	   Christoph Buser.

	* DESCRIPTION (Version): 0.9-5 - not yet on CRAN

	* R/plotCI.R (plotCI): deprecate plotCI() from "sfsmisc",
		since it is in "gregmisc" which has been on CRAN (but not
		in existence!) long before "sfsmisc".

	* R/00a.R eliminated (renamed to R/00a.R.~2~) and created
	* R/zzz.R instead which has a simple .First.lib().


2004-07-29  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (QUnif): new function for Quasi-Random uniform
		numbers built on Halton sequences: sHalton().
	* man/QUnif.Rd: documentation with nice examples

2004-07-27  Martin Maechler  <maechler@stat.math.ethz.ch>

	* inst/doc/CHANGES.txt: rather than inst/doc/ChangeLog

	* R/pd-matrix.R (posdefify): new file and new function
	* man/posdefify.Rd: dito

2004-05-26  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-4	--> CRAN

	* inst/doc/ChangeLog: new symbolic link to this file

	* man/p.ts.Rd: new arguments; also new example
	* R/p.ts.R (p.ts): new arg 'do.x.rug'

2004-05-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (strcodes): fix, needing 0-origin;
	  also fixes the "offset by 1" bug in AsciiToInt()
	* man/AsciiToInt.Rd:  (adapt example output)

2004-04-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.ts.R (p.ts): new arguments 'date.x', 'do.x.axis',
	      'ax.format' and 'xlab'

2004-03-09  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (empty.dimnames): use lapply()

2004-02-25  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.res.2x.WSt.R (p.res.2x): new default  'scol = 2:3'
			    new arguments  xlim, ylim.
	* man/p.res.2x.Rd: dito

2004-02-24  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Depends): 1.8.x
		because of regexpr(*, fixed=TRUE) in ps.end()

	* R/p.res.2x.WSt.R (p.res.2x): new 'main' argument with default 'z'
	* man/p.res.2x.Rd: dito
	* man/p.res.2fact.Rd: dito

2004-02-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-3

	* man/tkdensity.Rd: try for working tcltk

2004-02-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/TA.plot.R (n.plot): fix non-default 'log = ".."'

	* R/p.res.2x.WSt.R (p.res.2x): allow scol[1:2}
	* man/p.res.2x.Rd:  dito; + example

2004-02-07  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-2

	* R/unix/Sys.ps.R: put my Sys.* to unix-only directory - no way for Windows
	* man/unix/ : put Sys.ps.Rd and Sys.cpuinfo.Rd there

	* R/u.goodies.R (u.date): make OS-independent, using Sys.time()
		(u.Datumvonheute): dito

	* R/ps.goodies.R (ps.end): check for non-Unix and gracefully exit
	in that case.

2004-02-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (ps.end): try better to find file name.

2004-02-04  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.9-1 (for first CRAN release)

2004-02-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/twoway-r-plot.R: new version of old p.two.forget(),
		from Werner Stahel, called compresid2way().

2004-01-12  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/Ftest-rlm.R (f.robftest): now returns object of class "htest"

	* DESCRIPTION (Version): 0.9-0

	* R/ps.goodies.R (ps.end): command = getOption("eps_view")

	* R/misc-goodies.R: renamed  tapply.num()  to tapplySimpl()
		 and use same arguments as tapply().
		 move p.panel[LS] to ./Deprecated.R
	* man/tapplySimpl.Rd: new
	* man/col01scale.Rd : new

2004-01-11  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.goodies.R: removed p.tst.dev(); deprecated p.triangle()

2004-01-05  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R: remove  test.par() -> ~/R/MM/GRAPHICS/par-misc.R

	* R/D1D2.R (D1tr, D1ss): renamed d1() to D1tr(), D1() to D1ss();
	  to get some consistency.
	* man/D2ss.Rd (D2ss): newly these.

2004-01-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/AsciiToInt.Rd: new
	* man/Deprecated.Rd: new; with digits(), 'digits.v' and 'nna'
	* R/Deprecated.R:    <dito>

2003-12-15  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/ps.goodies.R (ps.do), ps.latex(), ps.end(): get rid of old
	S-plus color and iso.latin1 stuff

2003-12-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (table.mat): dropped this (undocumented) function

2003-12-03  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/misc-goodies.R (uniqueL):  new utility function

2003-12-02  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/Sys.ps.R (Sys.ps): better test for "ALL" (warning);
	(Sys.PID): deprecated {use  Sys.getpid() !}

2003-11-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/diagDA.R (dDA): new function with returns fit of class `dDa';
	  gets print() and predict() methods.
	  Improve functionality such that it works for single point clusters.

	* man/Sys.ps.Rd:   codoc( use.values = NULL)  inconsistency fixes
	* man/ps.end.Rd:
	* man/ecdf.ksCI.Rd:

	* R/TA.plot.R (n.plot): naming ok with data.frames; `col=' argument

2003-11-18  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/diagDA.R (diagDA): new: Diagonal Discriminant Analysis
				= improvement of stat.diag.da() from 'sma'

2003-08-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* man/u.boxplot.x.Rd: new

	* R/misc-goodies.R: boxplot.matrix(): `use.cols' instead of `cols'
	* man/boxplot.matrix.Rd:

2003-07-14  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/plotCI.R (plotCI): new arguments `type' and `log'.

	* R/tkdensity.R (tkdensity): new `do.rug' argument with sensible default

2003-06-13  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/smad.R (huber): improved again: gives (NA,NA) when y has NAs only.

2003-06-10  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/rrange.R (rrange): new argument `na.rm = TRUE'
	* man/rrange.Rd:

2002-12-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/TA.plot.R (TA.plot): now works with specified (or default!) `ylab'

2002-11-30  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/TA.plot.R (n.plot): fix for omitted `ylab' => TA.plot() shows
	residuals (again!).   Use xy.coords() instead of home-made

	* R/p.goodies.R: drop p.hboxp:
	  Rather use boxplot(*, horizontal=TRUE, add=TRUE)
	  Also drop  p.clear()

2002-11-11  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Version): 0.8-5
	* quite a few new man pages (+clean) since Oct; see also ./SfS-changes
	  `only' CMD check warning of 39 undocu. functions

2002-10-01  Martin Maechler  <maechler@stat.math.ethz.ch>

	* Version 0.8-0 : ``released'' on ftp://stat.ethz.ch/U/maechler/R/

	* several man fixes; dropped old "SfS" stuff, see ./SfS-changes

	* DESCRIPTION (Package): new "sfsmisc" (from internal "SfS")


2002-06-19  Martin Maechler  <maechler@stat.math.ethz.ch>

	* TODO-MM: new

	* R/ellipse.R (ellipsePoints): new (from Martin's ..)
	* man/ellipsePoints.Rd:


	* R/TA.plot.R (n.plot): add `cex' explicitly; finally :
	* man/n.plot.Rd: new

	* R/TA.plot.R (TA.plot): changed some col/lty/lwd defaults
	  (Ruth Meili's hint) and made these arguments (`par0line',..)


2002-05-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* INDEX: updated (via build) and manually edited

	* R/hatMat.R (hatMat): allow matrix predictors `x'

2002-04-30  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/tkdensity.R (tkdensity): finally made working again, using
	 tclVar() and tclvalue(.).


2002-04-23  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/mult.fig.R: add "line.main" argument, shifting down 1/2 by
	default.

2002-04-17  Martin Maechler  <maechler@stat.math.ethz.ch>

	* R/p.goodies.R (p.tst.dev): fix function, now works

2001-05-21  Martin Maechler  <maechler@stat.math.ethz.ch>

	* DESCRIPTION (Title): a bit shorter
	  (Version): upped to 1.0-2
